#
# kihona.rb
#
# $Id: kihona.rb,v 1.1 2000/11/21 03:15:39 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


nmax = 40
xmin = 0.0
xmax = 4*PI
ymin = -1.0
ymax = 1.0
x = NArray.sfloat(nmax+1)
y = NArray.sfloat(nmax+1)

#-- data ---
dt = xmax/nmax
x = x.indgen * dt
y = sin(x)

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

sgfrm

sglset('LCHAR', true)

#-- ٥Ĥޤ ----
sgswnd(xmin, xmax, ymin, ymax)
sgsvpt(0.0, 1.0, 0.9, 1.0)
sgstrn(1)
sgstrf

sgsplc('A')
sgsplt(1)
sgplu(nmax+1, x, y)

#-- ٥: A,B,C,... ----
for i in 1..2
  vymin = 0.9 - 0.1*i
  vymax = vymin + 0.1
  sgswnd(xmin, xmax, ymin, ymax)
  sgsvpt(0.0, 1.0, vymin, vymax)
  sgstrn(1)
  sgstrf

  sgnplc
  sgplu(nmax+1, x, y)
end

#-- ٥: K=1,K=2,... ----
sgsplc('K=1')

for i in 3..4
  vymin = 0.9 - 0.1*i
  vymax = vymin + 0.1
  sgswnd(xmin, xmax, ymin, ymax)
  sgsvpt(0.0, 1.0, vymin, vymax)
  sgstrn(1)
  sgstrf

  sgsplt(i-1)
  sgplu(nmax+1, x, y)
  sgnplc
end

sgsplt(1)

#--  ٥ʸι⤵ ----
sgswnd(xmin, xmax, ymin, ymax)
sgsvpt(0.0, 1.0, 0.4, 0.5)
sgstrn(1)
sgstrf

sgspls(0.01)
sgsplc('small')
sgplu(nmax+1, x, y)

sgspls(0.02)

#--  ٥γ ----
sgswnd(xmin, xmax, ymin, ymax)
sgsvpt(0.0, 1.0, 0.3, 0.4)
sgstrn(1)
sgstrf

sglset('LROT', true)
sgiset('IROT', 90)
sgsplc('ROT')
sgplu(nmax+1, x, y)

sglset('LROT', false)

#--  ٥δֳ ----
sgswnd(xmin, xmax, ymin, ymax)
sgsvpt(0.0, 1.0, 0.2, 0.3)
sgstrn(1)
sgstrf

sgrset('CWL', 5.0)
sgsplc('CWL')
sgplu(nmax+1, x, y)

sgrset('CWL', 30.0)

#--  ٥ν񤭻Ϥ ----
sgswnd(xmin, xmax, ymin, ymax)
sgsvpt(0.0, 1.0, 0.1, 0.2)
sgstrn(1)
sgstrf

sgrset('FFCT', 0.9)
sgsplc('FCT')
sgplu(nmax+1, x, y)

sgcls

